Description

=begin

The documentation for Module#remove_const says:

Removes the definition of the given constant, returning that constant’s value. Predefined classes and singleton objects (such as

true) cannot be removed.

 Based on this documentation, someone said in http://stackoverflow.com/q/7513727/38765 that you can't do remove_const on the File

constant, whereas you can.

class Object

remove_const :File

end

File # => NameError: uninitialized constant File

=end

Related issues:

Is duplicate of Ruby - Bug #3769: Removing Predefined Constants Closed 08/31/2010

Associated revisions

Revision 092db4dcf0a6c9b0dc0408d4f29189754a07212e - 03/14/2012 04:48 AM - Marc-Andre Lafortune 

variable.c: Simplify rdoc for remove_const [Bug #5354]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@35010 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 092db4dc - 03/14/2012 04:48 AM - Marc-Andre Lafortune 

variable.c: Simplify rdoc for remove_const [Bug #5354]
merge revision(s) 35010:

    * variable.c: Simplify rdoc for remove_const [Bug #5354]

 git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_1_9_3@35011 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 45086d1b - 03/14/2012 04:49 AM - Marc-Andre Lafortune 

merge revision(s) 35010:
History

#1 - 03/07/2012 08:22 AM - marcandre (Marc-Andre Lafortune)

06/10/2025 1/2

http://stackoverflow.com/q/7513727/38765


- Status changed from Open to Closed

Fixed by Nobu in r29519. Thanks for reporting this issue.
